Index: branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/HeuristicLab.Problems.DataAnalysis.Views-3.4.csproj
===================================================================
--- branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/HeuristicLab.Problems.DataAnalysis.Views-3.4.csproj	(revision 16790)
+++ branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/HeuristicLab.Problems.DataAnalysis.Views-3.4.csproj	(revision 16800)
@@ -550,10 +550,4 @@
       <DependentUpon>TimeSeriesPrognosisSolutionView.cs</DependentUpon>
     </Compile>
-    <Compile Include="TextValueView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="TextValueView.designer.cs">
-      <DependentUpon>TextValueView.cs</DependentUpon>
-    </Compile>
     <Compile Include="TimeSeriesPrognosis\TimeSeriesPrognosisResidualsLineChartView.cs">
       <SubType>UserControl</SubType>
@@ -630,7 +624,4 @@
       <DependentUpon>NamedIntervalsView.cs</DependentUpon>
     </EmbeddedResource>
-    <EmbeddedResource Include="TextValueView.resx">
-      <DependentUpon>TextValueView.cs</DependentUpon>
-    </EmbeddedResource>
     <EmbeddedResource Include="IntervalConstraintView.resx">
       <DependentUpon>IntervalConstraintView.cs</DependentUpon>
Index: branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/IntervalConstraintView.cs
===================================================================
--- branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/IntervalConstraintView.cs	(revision 16790)
+++ branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/IntervalConstraintView.cs	(revision 16800)
@@ -29,5 +29,5 @@
       definitionInput.ReadOnly = true;
       derivationInput.Enabled = false;
-      derivationInput.Checked = Content?.IsDerivation ?? false;
+      derivationInput.Checked = false;
       numberderivationInput.DataSource = items;
     }
@@ -101,36 +101,34 @@
         }
 
-        ischeckedCheckBox.Checked = Content.IsChecked;
+        ischeckedCheckBox.Checked = Content.Enabled;
       }
       SetEnabledStateOfControls();
     }
 
-    private void UpdateExpression() {
+    private static string UpdateExpression(IntervalConstraint constraint) {
       var expression = "";
 
-      if (!Content.IsDerivation) {
-        expression = string.Format("{0} in {1}{2} .. {3}{4}", 
-          Content.Variable, 
-          (Content.InclusiveLowerBound) ? "[" : "]", 
-          Content.Interval.LowerBound,
-          Content.Interval.UpperBound,
-          (Content.InclusiveUpperBound) ? "]" : "[");
+      if (!constraint.IsDerivation) {
+        expression = string.Format("{0} in {1}{2} .. {3}{4}",
+          constraint.Variable, 
+          (constraint.InclusiveLowerBound) ? "[" : "]",
+          constraint.Interval.LowerBound,
+          constraint.Interval.UpperBound,
+          (constraint.InclusiveUpperBound) ? "]" : "[");
       } else {
         expression = string.Format("\u2202{5}Target/\u2202{0}{6} in {1}{2} .. {3}{4}",
-          Content.Variable,
-          (Content.InclusiveLowerBound) ? "[" : "]",
-          Content.Interval.LowerBound,
-          Content.Interval.UpperBound,
-          (Content.InclusiveUpperBound) ? "]" : "[",
-          PrintNumberOfDerivation(Content.numberOfDerivation),
-          PrintNumberOfDerivation(Content.numberOfDerivation));
-      }
-
-      Content.Expression = expression;
-      Content.Name = expression;
-      UpdateControls();
-    }
-
-    private string PrintNumberOfDerivation(int derivation) {
+          constraint.Variable,
+          (constraint.InclusiveLowerBound) ? "[" : "]",
+          constraint.Interval.LowerBound,
+          constraint.Interval.UpperBound,
+          (constraint.InclusiveUpperBound) ? "]" : "[",
+          PrintNumberOfDerivation(constraint.numberOfDerivation),
+          PrintNumberOfDerivation(constraint.numberOfDerivation));
+      }
+
+      return expression;
+    }
+
+    private static string PrintNumberOfDerivation(int derivation) {
       switch (derivation) {
         case 1:
@@ -150,15 +148,18 @@
     private void lowerboundInput_Validating(object sender, CancelEventArgs e) {
       var value = ParseDoubleValue(lowerboundInput.Text, lowerboundInput);
-      if (!double.IsNaN(value)) {
-        if (value <= Content.Interval.UpperBound) {
-          errorProvider.SetError(lowerboundInput, string.Empty);
-          e.Cancel = false;
-        } else {
-          errorProvider.SetError(lowerboundInput, "Invalid Input: Lowerbound must be smaller than Upperbound!");
-          e.Cancel = true;
-        }
-      } else {
-        e.Cancel = true;
-      }
+      if (double.IsNaN(value)) {
+        errorProvider.SetError(lowerboundInput, "Invalid Input: Lowerbound must be a double value!");
+        e.Cancel = true;
+        return;
+      }
+
+      if (value > Content.Interval.UpperBound) {
+        errorProvider.SetError(lowerboundInput, "Invalid Input: Lowerbound must be smaller than Upperbound!");
+        e.Cancel = true;
+        return;
+      }
+
+      errorProvider.SetError(lowerboundInput, string.Empty);
+      e.Cancel = false;
     }
 
@@ -167,5 +168,7 @@
       if (!double.IsNaN(value)) {
         Content.Interval = new Interval(value, Content.Interval.UpperBound);
-        UpdateExpression();
+        var exp = UpdateExpression(Content);
+        Content.Name = exp;
+        Content.Expression = exp;
       }
     }
@@ -173,15 +176,18 @@
     private void upperboundInput_Validating(object sender, CancelEventArgs e) {
       var value = ParseDoubleValue(upperboundInput.Text, upperboundInput);
-      if (!double.IsNaN(value)) {
-        if (value >= Content.Interval.LowerBound) {
-          errorProvider.SetError(upperboundInput, string.Empty);
-          e.Cancel = false;
-        } else {
-          errorProvider.SetError(lowerboundInput, "Invalid Input: Upperbound must be bigger than Lowerbound!");
-          e.Cancel = true;
-        }
-      } else {
-        e.Cancel = true;
-      }
+      if (double.IsNaN(value)) {
+        errorProvider.SetError(upperboundInput, "Invalid Input: Upperbound must be a double value!");
+        e.Cancel = true;
+        return;
+      }
+
+      if (value < Content.Interval.LowerBound) {
+        errorProvider.SetError(upperboundInput, "Invalid Input: Upperbound must be bigger than Lowerbound!");
+        e.Cancel = true;
+        return;
+      }
+
+      errorProvider.SetError(upperboundInput, string.Empty);
+      e.Cancel = false;
     }
 
@@ -190,5 +196,7 @@
       if (!double.IsNaN(value)) {
         Content.Interval = new Interval(Content.Interval.LowerBound, value);
-        UpdateExpression();
+        var exp = UpdateExpression(Content);
+        Content.Name = exp;
+        Content.Expression = exp;
       }
     }
@@ -197,5 +205,7 @@
       if (Content.InclusiveLowerBound != incllowerboundInput.Checked) {
         Content.InclusiveLowerBound = incllowerboundInput.Checked;
-        UpdateExpression();
+        var exp = UpdateExpression(Content);
+        Content.Name = exp;
+        Content.Expression = exp;
       }
       
@@ -206,12 +216,14 @@
       if (Content.InclusiveUpperBound != inclupperboundInput.Checked) { 
         Content.InclusiveUpperBound = inclupperboundInput.Checked;
-        UpdateExpression();
+        var exp = UpdateExpression(Content);
+        Content.Name = exp;
+        Content.Expression = exp;
       }
     }
 
     private void ischeckedCheckBox_CheckedChanged(object sender, EventArgs e) {
-      if (Content.IsChecked != ischeckedCheckBox.Checked) {
-        Content.IsChecked = ischeckedCheckBox.Checked;
-        UpdateControls();
+      if (Content.Enabled != ischeckedCheckBox.Checked) {
+        Content.Enabled = ischeckedCheckBox.Checked;
+        //UpdateControls();
       }
     }
@@ -225,5 +237,7 @@
         Content.numberOfDerivation = 3;
 
-      UpdateExpression();
+      var exp = UpdateExpression(Content);
+      Content.Name = exp;
+      Content.Expression = exp;
     }
 
Index: branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/ParsedConstraintView.cs
===================================================================
--- branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/ParsedConstraintView.cs	(revision 16790)
+++ branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/ParsedConstraintView.cs	(revision 16800)
@@ -1,3 +1,23 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+using System;
 using System.Collections.Generic;
 using HeuristicLab.Collections;
@@ -39,5 +59,5 @@
         foreach (var constraint in parsedConstraints) {
           constraint.Changed += constraint_Changed;
-          intervalConstraints.Add(constraint, constraint.IsChecked);
+          intervalConstraints.Add(constraint, constraint.Enabled);
         }
         constraintsOutput.Content = intervalConstraints;
@@ -59,5 +79,5 @@
         foreach (var constraint in Content.Constraints) {
           constraint.Changed += constraint_Changed;
-          intervalConstraints.Add(constraint, constraint.IsChecked);
+          intervalConstraints.Add(constraint, constraint.Enabled);
         }
 
@@ -69,5 +89,5 @@
     private void constraint_Changed(object sender, EventArgs e) {
       var constraint = (IntervalConstraint) sender;
-      intervalConstraints.SetItemCheckedState(constraint, constraint.IsChecked);
+      intervalConstraints.SetItemCheckedState(constraint, constraint.Enabled);
     }
 
@@ -76,5 +96,5 @@
       ICheckedItemList<IntervalConstraint> checkedItemList = (ICheckedItemList<IntervalConstraint>) sender;
       foreach (var indexedItem in e.Items) {
-        indexedItem.Value.IsChecked = checkedItemList.ItemChecked(indexedItem.Value);
+        indexedItem.Value.Enabled = checkedItemList.ItemChecked(indexedItem.Value);
       }
     }
Index: branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/TextValueView.cs
===================================================================
--- branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/TextValueView.cs	(revision 16790)
+++ 	(revision )
@@ -1,113 +1,0 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.ComponentModel;
-using System.Windows.Forms;
-using HeuristicLab.MainForm;
-using HeuristicLab.MainForm.WindowsForms;
-using HeuristicLab.Problems.DataAnalysis;
-
-namespace HeuristicLab.Data.Views {
-  [View("TextValue View")]
-  [Content(typeof(ITextValue), true)]
-  public partial class TextValueView : AsynchronousContentView {
-    public new IStringConvertibleValue Content {
-      get { return (IStringConvertibleValue)base.Content; }
-      set { base.Content = value; }
-    }
-
-    public override bool ReadOnly {
-      get {
-        if ((Content != null) && Content.ReadOnly) return true;
-        return base.ReadOnly;
-      }
-      set { base.ReadOnly = value; }
-    }
-
-    public bool LabelVisible {
-      get { return !splitContainer.Panel1Collapsed; }
-      set { splitContainer.Panel1Collapsed = !value; }
-    }
-
-    public TextValueView() {
-      InitializeComponent();
-      errorProvider.SetIconAlignment(valueTextBox, ErrorIconAlignment.MiddleLeft);
-      errorProvider.SetIconPadding(valueTextBox, 2);
-    }
-
-    protected override void DeregisterContentEvents() {
-      Content.ValueChanged -= new EventHandler(Content_ValueChanged);
-      base.DeregisterContentEvents();
-    }
-
-    protected override void RegisterContentEvents() {
-      base.RegisterContentEvents();
-      Content.ValueChanged += new EventHandler(Content_ValueChanged);
-    }
-
-    protected override void OnContentChanged() {
-      base.OnContentChanged();
-      if (Content == null) {
-        valueTextBox.Text = string.Empty;
-      } else
-        valueTextBox.Text = Content.GetValue();
-    }
-
-    protected override void SetEnabledStateOfControls() {
-      base.SetEnabledStateOfControls();
-      valueTextBox.Enabled = Content != null;
-      valueTextBox.ReadOnly = ReadOnly;
-    }
-
-    protected virtual void Content_ValueChanged(object sender, EventArgs e) {
-      if (InvokeRequired)
-        Invoke(new EventHandler(Content_ValueChanged), sender, e);
-      else
-        valueTextBox.Text = Content.GetValue();
-    }
-
-    protected virtual void valueTextBox_KeyDown(object sender, KeyEventArgs e) {
-      if (e.Shift && (e.KeyCode == Keys.Enter || e.KeyCode == Keys.Return))
-        valueLabel.Select();  // select label to validate data
-
-      if (e.KeyCode == Keys.Escape) {
-        valueTextBox.Text = Content.GetValue();
-        valueLabel.Select();  // select label to validate data
-      }
-    }
-    protected virtual void valueTextBox_Validating(object sender, CancelEventArgs e) {
-      if (ReadOnly) return;
-      string errorMessage;
-      if (!Content.Validate(valueTextBox.Text, out errorMessage)) {
-        e.Cancel = true;
-        errorProvider.SetError(valueTextBox, errorMessage);
-        valueTextBox.SelectAll();
-      }
-    }
-    protected virtual void valueTextBox_Validated(object sender, EventArgs e) {
-      if (ReadOnly) return;
-      if (!Content.ReadOnly) Content.SetValue(valueTextBox.Text);
-      errorProvider.SetError(valueTextBox, string.Empty);
-      valueTextBox.Text = Content.GetValue();
-    }
-  }
-}
Index: branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/TextValueView.designer.cs
===================================================================
--- branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/TextValueView.designer.cs	(revision 16790)
+++ 	(revision )
@@ -1,133 +1,0 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-namespace HeuristicLab.Data.Views {
-  partial class TextValueView {
-    /// <summary> 
-    /// Required designer variable.
-    /// </summary>
-    private System.ComponentModel.IContainer components = null;
-
-    /// <summary> 
-    /// Clean up any resources being used.
-    /// </summary>
-    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-    protected override void Dispose(bool disposing) {
-      if (disposing) {
-        if (components != null) components.Dispose();
-      }
-      base.Dispose(disposing);
-    }
-
-    #region Component Designer generated code
-
-    /// <summary> 
-    /// Required method for Designer support - do not modify 
-    /// the contents of this method with the code editor.
-    /// </summary>
-    private void InitializeComponent() {
-      this.components = new System.ComponentModel.Container();
-      this.valueTextBox = new System.Windows.Forms.TextBox();
-      this.errorProvider = new System.Windows.Forms.ErrorProvider(this.components);
-      this.valueLabel = new System.Windows.Forms.Label();
-      this.splitContainer = new System.Windows.Forms.SplitContainer();
-      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
-      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).BeginInit();
-      this.splitContainer.Panel1.SuspendLayout();
-      this.splitContainer.Panel2.SuspendLayout();
-      this.splitContainer.SuspendLayout();
-      this.SuspendLayout();
-      // 
-      // valueTextBox
-      // 
-      this.valueTextBox.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.valueTextBox.Location = new System.Drawing.Point(0, 0);
-      this.valueTextBox.Multiline = true;
-      this.valueTextBox.Name = "valueTextBox";
-      this.valueTextBox.ScrollBars = System.Windows.Forms.ScrollBars.Horizontal;
-      this.valueTextBox.Size = new System.Drawing.Size(194, 40);
-      this.valueTextBox.TabIndex = 2;
-      this.valueTextBox.KeyDown += new System.Windows.Forms.KeyEventHandler(this.valueTextBox_KeyDown);
-      this.valueTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.valueTextBox_Validating);
-      this.valueTextBox.Validated += new System.EventHandler(this.valueTextBox_Validated);
-      // 
-      // errorProvider
-      // 
-      this.errorProvider.BlinkStyle = System.Windows.Forms.ErrorBlinkStyle.NeverBlink;
-      this.errorProvider.ContainerControl = this;
-      // 
-      // valueLabel
-      // 
-      this.valueLabel.AutoSize = true;
-      this.valueLabel.Location = new System.Drawing.Point(3, 3);
-      this.valueLabel.Name = "valueLabel";
-      this.valueLabel.Size = new System.Drawing.Size(37, 13);
-      this.valueLabel.TabIndex = 1;
-      this.valueLabel.Text = "&Value:";
-      // 
-      // splitContainer
-      // 
-      this.splitContainer.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.splitContainer.FixedPanel = System.Windows.Forms.FixedPanel.Panel1;
-      this.splitContainer.IsSplitterFixed = true;
-      this.splitContainer.Location = new System.Drawing.Point(0, 0);
-      this.splitContainer.Name = "splitContainer";
-      this.splitContainer.Orientation = System.Windows.Forms.Orientation.Horizontal;
-      // 
-      // splitContainer.Panel1
-      // 
-      this.splitContainer.Panel1.Controls.Add(this.valueLabel);
-      this.splitContainer.Panel1MinSize = 19;
-      // 
-      // splitContainer.Panel2
-      // 
-      this.splitContainer.Panel2.Controls.Add(this.valueTextBox);
-      this.splitContainer.Size = new System.Drawing.Size(194, 60);
-      this.splitContainer.SplitterDistance = 19;
-      this.splitContainer.SplitterWidth = 1;
-      this.splitContainer.TabIndex = 0;
-      this.splitContainer.TabStop = false;
-      // 
-      // TextValueView
-      // 
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
-      this.Controls.Add(this.splitContainer);
-      this.Name = "TextValueView";
-      this.Size = new System.Drawing.Size(194, 60);
-      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
-      this.splitContainer.Panel1.ResumeLayout(false);
-      this.splitContainer.Panel1.PerformLayout();
-      this.splitContainer.Panel2.ResumeLayout(false);
-      this.splitContainer.Panel2.PerformLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).EndInit();
-      this.splitContainer.ResumeLayout(false);
-      this.ResumeLayout(false);
-
-    }
-
-    #endregion
-
-    protected System.Windows.Forms.TextBox valueTextBox;
-    protected System.Windows.Forms.ErrorProvider errorProvider;
-    protected System.Windows.Forms.Label valueLabel;
-    protected System.Windows.Forms.SplitContainer splitContainer;
-  }
-}
Index: branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/TextValueView.resx
===================================================================
--- branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis.Views/3.4/TextValueView.resx	(revision 16790)
+++ 	(revision )
@@ -1,123 +1,0 @@
-﻿<?xml version="1.0" encoding="utf-8"?>
-<root>
-  <!-- 
-    Microsoft ResX Schema 
-    
-    Version 2.0
-    
-    The primary goals of this format is to allow a simple XML format 
-    that is mostly human readable. The generation and parsing of the 
-    various data types are done through the TypeConverter classes 
-    associated with the data types.
-    
-    Example:
-    
-    ... ado.net/XML headers & schema ...
-    <resheader name="resmimetype">text/microsoft-resx</resheader>
-    <resheader name="version">2.0</resheader>
-    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
-    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
-    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
-    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
-    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
-        <value>[base64 mime encoded serialized .NET Framework object]</value>
-    </data>
-    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
-        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
-        <comment>This is a comment</comment>
-    </data>
-                
-    There are any number of "resheader" rows that contain simple 
-    name/value pairs.
-    
-    Each data row contains a name, and value. The row also contains a 
-    type or mimetype. Type corresponds to a .NET class that support 
-    text/value conversion through the TypeConverter architecture. 
-    Classes that don't support this are serialized and stored with the 
-    mimetype set.
-    
-    The mimetype is used for serialized objects, and tells the 
-    ResXResourceReader how to depersist the object. This is currently not 
-    extensible. For a given mimetype the value must be set accordingly:
-    
-    Note - application/x-microsoft.net.object.binary.base64 is the format 
-    that the ResXResourceWriter will generate, however the reader can 
-    read any of the formats listed below.
-    
-    mimetype: application/x-microsoft.net.object.binary.base64
-    value   : The object must be serialized with 
-            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
-            : and then encoded with base64 encoding.
-    
-    mimetype: application/x-microsoft.net.object.soap.base64
-    value   : The object must be serialized with 
-            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
-            : and then encoded with base64 encoding.
-
-    mimetype: application/x-microsoft.net.object.bytearray.base64
-    value   : The object must be serialized into a byte array 
-            : using a System.ComponentModel.TypeConverter
-            : and then encoded with base64 encoding.
-    -->
-  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
-    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
-    <xsd:element name="root" msdata:IsDataSet="true">
-      <xsd:complexType>
-        <xsd:choice maxOccurs="unbounded">
-          <xsd:element name="metadata">
-            <xsd:complexType>
-              <xsd:sequence>
-                <xsd:element name="value" type="xsd:string" minOccurs="0" />
-              </xsd:sequence>
-              <xsd:attribute name="name" use="required" type="xsd:string" />
-              <xsd:attribute name="type" type="xsd:string" />
-              <xsd:attribute name="mimetype" type="xsd:string" />
-              <xsd:attribute ref="xml:space" />
-            </xsd:complexType>
-          </xsd:element>
-          <xsd:element name="assembly">
-            <xsd:complexType>
-              <xsd:attribute name="alias" type="xsd:string" />
-              <xsd:attribute name="name" type="xsd:string" />
-            </xsd:complexType>
-          </xsd:element>
-          <xsd:element name="data">
-            <xsd:complexType>
-              <xsd:sequence>
-                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
-                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
-              </xsd:sequence>
-              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
-              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
-              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
-              <xsd:attribute ref="xml:space" />
-            </xsd:complexType>
-          </xsd:element>
-          <xsd:element name="resheader">
-            <xsd:complexType>
-              <xsd:sequence>
-                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
-              </xsd:sequence>
-              <xsd:attribute name="name" type="xsd:string" use="required" />
-            </xsd:complexType>
-          </xsd:element>
-        </xsd:choice>
-      </xsd:complexType>
-    </xsd:element>
-  </xsd:schema>
-  <resheader name="resmimetype">
-    <value>text/microsoft-resx</value>
-  </resheader>
-  <resheader name="version">
-    <value>2.0</value>
-  </resheader>
-  <resheader name="reader">
-    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
-  </resheader>
-  <resheader name="writer">
-    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
-  </resheader>
-  <metadata name="errorProvider.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
-    <value>17, 17</value>
-  </metadata>
-</root>